--- old/usr/src/lib/libm/common/complex/csqrtl.c	2019-06-06 20:39:57.839286359 +0000
+++ new/usr/src/lib/libm/common/complex/csqrtl.c	2019-06-06 20:39:57.856692419 +0000
@@ -22,6 +22,7 @@
 /*
  * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
  */
+
 /*
  * Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -29,11 +30,10 @@
 
 #pragma weak __csqrtl = csqrtl
 
-#include "libm.h"		/* fabsl/isinfl/sqrtl */
+#include "libm.h"			/* fabsl/isinfl/sqrtl */
 #include "complex_wrapper.h"
 #include "longdouble.h"
 
-/* INDENT OFF */
 static const long double
 	twom9001 = 2.6854002716003034957421765100615693043656e-2710L,
 	twom4500 = 2.3174987687592429423263242862381544149252e-1355L,
@@ -42,10 +42,11 @@
 	zero = 0.0L,
 	half = 0.5L,
 	two = 2.0L;
-/* INDENT ON */
+
 
 ldcomplex
-csqrtl(ldcomplex z) {
+csqrtl(ldcomplex z)
+{
 	ldcomplex ans;
 	long double x, y, t, ax, ay;
 	int n, ix, iy, hx, hy;
@@ -58,11 +59,12 @@
 	iy = hy & 0x7fffffff;
 	ay = fabsl(y);
 	ax = fabsl(x);
+
 	if (ix >= 0x7fff0000 || iy >= 0x7fff0000) {
 		/* x or y is Inf or NaN */
-		if (isinfl(y))
+		if (isinfl(y)) {
 			LD_IM(ans) = LD_RE(ans) = ay;
-		else if (isinfl(x)) {
+		} else if (isinfl(x)) {
 			if (hx > 0) {
 				LD_RE(ans) = ax;
 				LD_IM(ans) = ay * zero;
@@ -70,8 +72,9 @@
 				LD_RE(ans) = ay * zero;
 				LD_IM(ans) = ax;
 			}
-		} else
+		} else {
 			LD_IM(ans) = LD_RE(ans) = ax + ay;
+		}
 	} else if (y == zero) {
 		if (hx >= 0) {
 			LD_RE(ans) = sqrtl(ax);
@@ -82,13 +85,14 @@
 		}
 	} else if (ix >= iy) {
 		n = (ix - iy) >> 16;
-#if defined(__x86)		/* 64 significant bits */
+#if defined(__x86)			/* 64 significant bits */
 		if (n >= 35)
-#else				/* 113 significant bits  */
+#else /* 113 significant bits  */
 		if (n >= 60)
 #endif
+		{
 			t = sqrtl(ax);
-		else if (ix >= 0x5f3f0000) {	/* x > 2**8000 */
+		} else if (ix >= 0x5f3f0000) {	/* x > 2**8000 */
 			ax *= twom9001;
 			y *= twom9001;
 			t = two4500 * sqrtl(ax + sqrtl(ax * ax + y * y));
@@ -96,8 +100,9 @@
 			ax *= two8999;
 			y *= two8999;
 			t = twom4500 * sqrtl(ax + sqrtl(ax * ax + y * y));
-		} else
+		} else {
 			t = sqrtl(half * (ax + sqrtl(ax * ax + y * y)));
+		}
 
 		if (hx >= 0) {
 			LD_RE(ans) = t;
@@ -108,11 +113,12 @@
 		}
 	} else {
 		n = (iy - ix) >> 16;
-#if defined(__x86)		/* 64 significant bits */
-		if (n >= 35) {	/* } */
-#else				/* 113 significant bits  */
+#if defined(__x86)			/* 64 significant bits */
+		if (n >= 35) {		/* } */
+#else /* 113 significant bits  */
 		if (n >= 60) {
 #endif
+
 			if (n >= 120)
 				t = sqrtl(half * ay);
 			else if (iy >= 0x7ffe0000)
@@ -129,8 +135,9 @@
 			ax *= two8999;
 			y *= two8999;
 			t = twom4500 * sqrtl(ax + sqrtl(ax * ax + y * y));
-		} else
+		} else {
 			t = sqrtl(half * (ax + sqrtl(ax * ax + y * y)));
+		}
 
 		if (hx >= 0) {
 			LD_RE(ans) = t;
@@ -140,7 +147,9 @@
 			LD_RE(ans) = ay / (t + t);
 		}
 	}
+
 	if (hy < 0)
 		LD_IM(ans) = -LD_IM(ans);
+
 	return (ans);
 }
